input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px white inset;
}

.loginForm-userPanel.user-panel {
    text-align: center;
    border-left: none;
    box-sizing: border-box;
    display: block;
}

.sw2-contentContainer {
    background: #fafafa;
}

.loginForm-userPanel-left {
    text-align: left;
}

.loginForm-userPanel-left input {
    width: 100% !important;
}

.loginForm-userPanel-left label {
    text-align: left;
}

.loginForm-userPanel-left .btn-primary {
    width: 100%;
    padding: 12px;
    margin-bottom: 12px;
}

.loginForm-userPanel.user-panel :is(.user-panel-form-info, .user-panel-form-error) {
    display: block;
    margin: 4px 0 18px;
}

.loginForm-userPanel.user-panel .user-panel-subHeader {
    display: block;
    margin-bottom: 14px;
}

.loginPage-linksContainer {
    margin: 24px;
    font-size: 0;
}

.loginPage-linksContainer > * {
    font-size: var(--fs-body);
    vertical-align: middle;
    display: inline-block;
    margin: 0 4px;
}

.linkButton-grey {
    vertical-align: middle;
    display: inline-block;
    margin: 0 4px;
}

#loginForm .loginLinkDivider {
    color: #757575;
    font-size: 10px;
    padding-bottom: 2px;
}

.multipleBrowserMessage {
    color: #737373;
    margin-top: 2rem;
}

.loginForm-userPanel.user-panel {
    width: 40rem;
}

#loggedinBox {
    width: 50rem;
}

/** SAML Related **/
.user-panel-buttons.separator {
    padding-top: 10px;
    border-top: double 3px #ccc;
}

#saml-cancel {
    margin-left: 0.5em;
}

.saml-progress-container {
    width: 100%;
    height: 20px;
    position: relative;
    margin: 1em 0;
    border-radius: 6px;
    background: #eee;
}

.progress-bar {
    height: 100%;
    background-color: var(--progress-bar-bg);
    width: 100%;
    border-radius: 6px;
    animation: progress ease-in-out forwards;
}

@keyframes progress {
    0% {
        width: 0%;
    }
    100% {
        width: 100%;
    }
}
